Skip to main content
`Ctrl`+`K`

# EPSProblemType

Determines the type of eigenvalue problem.

## Synopsis

    typedef enum { EPS_HEP    = 1,
                   EPS_GHEP   = 2,
                   EPS_NHEP   = 3,
                   EPS_GNHEP  = 4,
                   EPS_PGNHEP = 5,
                   EPS_GHIEP  = 6,
                   EPS_BSE    = 7,
                   EPS_HAMILT = 8 } EPSProblemType;

## Values

- `EPS_HEP` - Hermitian

- `EPS_GHEP` - generalized Hermitian

- `EPS_NHEP` - non-Hermitian

- `EPS_GNHEP` - generalized non-Hermitian

- `EPS_PGNHEP` - generalized non-Hermitian with positive (semi-)definite \(B\)

- `EPS_GHIEP` - generalized Hermitian-indefinite

- `EPS_BSE` - structured Bethe-Salpeter

- `EPS_HAMILT` - structured Hamiltonian

## Note

In real scalars, one should read the term Hermitian as symmetric.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetProblemType()`, `EPSGetProblemType()`

## Level

intermediate

## Location

include/slepceps.h

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages